### Method

# Clutter Actor get_abs_allocation_vertices

#### Declaration [src]

    void
    clutter_actor_get_abs_allocation_vertices (
      ClutterActor* self,
      graphene_point3d_t* verts
    )

#### Description [src]

Calculates the transformed screen coordinates of the four corners of the actor; the returned vertices relate to the `ClutterActorBox` coordinates as follows:

- v[0] contains (x1, y1)
- v[1] contains (x2, y1)
- v[2] contains (x1, y2)
- v[3] contains (x2, y2).

#### Parameters

`verts`

  Type: An array of `graphene_point3d_t`

  Pointer to a location of an array of 4 #graphene_point3d_t where to store the result.

  The argument will be set by the function.
  The array must have 4 elements.
  The returned data is owned by the instance.